/* timezone.h
 * Copyright (C) 2007 Gauvain Pocentek <gpocentek@linutop.com>
 * This file is part of the linutop config editor
 * 
 * A part of this file comes from the gnome keyboard capplet (control-center):
 * Copyright (C) 2003 Sergey V. Oudaltsov <svu@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 2 of the license.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __TIMEZONE_H__
#define __TIMEZONE_H__

static gchar *tz_top[CONTINENTS] = {"Africa", "America", "US", "Canada", "Asia", "Atlantic", "Australia", "Europe", "Indian", "Pacific", "SystemV", "Etc"};
static gchar *tz_list[CONTINENTS][150] =  {{"Accra", "Brazzaville", "Nairobi", "Asmera", "Blantyre", "Dakar", "Harare", "Bissau", "Nouakchott", "Douala", "Kigali", "Tripoli", "Libreville", "Luanda", "Kinshasa", "Khartoum", "Addis_Ababa", "Sao_Tome", "Banjul", "Lagos", "Algiers", "Gaborone", "Djibouti", "Niamey", "Monrovia", "Casablanca", "Conakry", "Asmara", "Mbabane", "Freetown", "Bamako", "Ouagadougou", "Lusaka", "Abidjan", "Dar_es_Salaam", "El_Aaiun", "Malabo", "Bangui", "Lome", "Bujumbura", "Porto-Novo", "Maputo", "Mogadishu", "Maseru", "Kampala", "Windhoek", "Ceuta", "Timbuktu", "Ndjamena", "Johannesburg", "Lubumbashi", "Cairo", "Tunis"}, {"Costa_Rica", "Curacao", "Indianapolis", "Aruba", "Phoenix", "Asuncion", "Lima", "Rio_Branco", "Ensenada", "Godthab", "Nome", "Panama", "Manaus", "Atka", "Scoresbysund", "Port-au-Prince", "Boa_Vista", "Monterrey", "Porto_Acre", "Menominee", "Los_Angeles", "Tegucigalpa", "Mazatlan", "Goose_Bay", "Guadeloupe", "Swift_Current", "Porto_Velho", "Paramaribo", "Argentina/Ushuaia", "Guyana", "Vancouver", "Halifax", "North_Dakota/New_Salem", "St_Lucia", "Barbados", "Eirunepe", "Mexico_City", "Glace_Bay", "Winnipeg", "Anguilla", "Caracas", "Jujuy", "Chicago", "Dawson", "Grand_Turk", "Mendoza", "Tortola", "Yellowknife", "Blanc-Sablon", "Montserrat", "Boise", "Indiana/Winamac", "Belem", "Fort_Wayne", "Puerto_Rico", "Marigot", "Managua", "Regina", "St_Vincent", "Dawson_Creek", "Bahia", "Atikokan", "Cayenne", "Louisville", "Santo_Domingo", "Edmonton", "Denver", "St_Johns", "Yakutat", "Santiago", "Knox_IN", "Nipigon", "Antigua", "St_Barthelemy", "Hermosillo", "Resolute", "Jamaica", "New_York", "Campo_Grande", "Danmarkshavn", "Catamarca", "Fortaleza", "Noronha", "Miquelon", "Toronto", "Chihuahua", "Araguaina", "Cayman", "Guayaquil", "Merida", "Port_of_Spain", "Rosario", "Juneau", "Shiprock", "Adak", "Virgin", "Montreal", "Tijuana", "Rankin_Inlet", "St_Kitts", "Grenada", "Dominica", "Cambridge_Bay", "Thunder_Bay", "Sao_Paulo", "Montevideo", "Maceio", "Santarem", "La_Paz", "Cancun", "Whitehorse", "Inuvik", "Guatemala", "Buenos_Aires", "Cordoba", "Kentucky/Louisville", "Thule", "Cuiaba", "Moncton", "Iqaluit", "Martinique", "Pangnirtung", "St_Thomas", "Bogota", "Rainy_River", "Belize", "Coral_Harbour", "Anchorage", "Havana", "Nassau", "Detroit", "Recife", "El_Salvador"}, {"Hawaii", "Central", "Aleutian", "Samoa", "Indiana-Starke", "Alaska", "Arizona", "Michigan", "East-Indiana", "Mountain", "Eastern", "Pacific"}, {"Atlantic", "Central", "East-Saskatchewan", "Yukon", "Newfoundland", "Saskatchewan", "Mountain", "Eastern", "Pacific"}, {"Urumqi", "Magadan", "Dubai", "Bahrain", "Dhaka", "Jerusalem", "Nicosia", "Singapore", "Yerevan", "Ujung_Pandang", "Katmandu", "Macao", "Colombo", "Samarkand", "Dushanbe", "Chungking", "Ashgabat", "Tehran", "Amman", "Baghdad", "Shanghai", "Thimphu", "Calcutta", "Thimbu", "Tbilisi", "Irkutsk", "Bangkok", "Damascus", "Manila", "Dili", "Sakhalin", "Kuching", "Pontianak", "Aqtobe", "Bishkek", "Hovd", "Istanbul", "Tashkent", "Kabul", "Qatar", "Aden", "Riyadh87", "Makassar", "Anadyr", "Yekaterinburg", "Ashkhabad", "Ulan_Bator", "Kamchatka", "Novosibirsk", "Choibalsan", "Beirut", "Karachi", "Omsk", "Vladivostok", "Ho_Chi_Minh", "Riyadh", "Kashgar", "Dacca", "Qyzylorda", "Riyadh88", "Muscat", "Chongqing", "Taipei", "Vientiane", "Tel_Aviv", "Ulaanbaatar", "Harbin", "Hong_Kong", "Saigon", "Seoul", "Oral", "Riyadh89", "Krasnoyarsk", "Kolkata", "Kuala_Lumpur", "Jakarta", "Baku", "Almaty", "Jayapura", "Macau", "Gaza", "Kuwait", "Tokyo", "Rangoon", "Yakutsk", "Brunei", "Phnom_Penh", "Pyongyang", "Aqtau"}, {"Stanley", "Azores", "Canary", "St_Helena", "Cape_Verde", "Jan_Mayen", "South_Georgia", "Bermuda", "Faeroe", "Faroe", "Madeira", "Reykjavik"}, {"Perth", "NSW", "Victoria", "Brisbane", "South", "Canberra", "West", "Tasmania", "Currie", "Eucla", "Queensland", "Lindeman", "Hobart", "Sydney", "Lord_Howe", "Broken_Hill", "Melbourne", "Darwin", "Yancowinna", "LHI", "North", "Adelaide", "ACT"}, {"Belgrade", "Kaliningrad", "Nicosia", "Vatican", "Vilnius", "Moscow", "Malta", "Warsaw", "Isle_of_Man", "Tirane", "Podgorica", "Dublin", "Zagreb", "Paris", "Minsk", "Sofia", "Monaco", "Andorra", "Luxembourg", "Stockholm", "Amsterdam", "Riga", "Simferopol", "Istanbul", "Budapest", "Vaduz", "Copenhagen", "Tallinn", "Berlin", "Bratislava", "Tiraspol", "Chisinau", "Kiev", "Gibraltar", "Bucharest", "Ljubljana", "Oslo", "Belfast", "Uzhgorod", "Mariehamn", "Vienna", "Zaporozhye", "Helsinki", "Guernsey", "Sarajevo", "Skopje", "Rome", "Jersey", "San_Marino", "Samara", "Brussels", "Volgograd", "Madrid", "Zurich", "Athens", "London", "Lisbon", "Prague"}, {"Maldives", "Antananarivo", "Kerguelen", "Reunion", "Mauritius", "Comoro", "Mayotte", "Chagos", "Cocos", "Mahe", "Christmas"}, {"Fiji", "Pago_Pago", "Tongatapu", "Kwajalein", "Majuro", "Rarotonga", "Enderbury", "Marquesas", "Ponape", "Yap", "Guam", "Galapagos", "Auckland", "Noumea", "Midway", "Port_Moresby", "Kiritimati", "Kosrae", "Truk", "Fakaofo", "Norfolk", "Samoa", "Palau", "Nauru", "Johnston", "Tarawa", "Gambier", "Wallis", "Apia", "Efate", "Chatham", "Pitcairn", "Tahiti", "Wake", "Saipan", "Niue", "Funafuti", "Easter", "Honolulu", "Guadalcanal"}, {"AST4ADT", "MST7MDT", "HST10", "CST6", "EST5", "YST9", "YST9YDT", "PST8", "CST6CDT", "MST7", "PST8PDT", "EST5EDT", "AST4"}, {"GMT+8", "GMT+0", "GMT+4", "GMT-7", "GMT+3", "GMT-13", "GMT-0", "GMT+1", "GMT-14", "GMT-6", "GMT-10", "GMT-2", "GMT+12", "Greenwich", "GMT-9", "GMT-5", "UTC", "GMT+9", "GMT-8", "GMT-11", "GMT-3", "GMT0", "Universal", "GMT+7", "GMT+10", "GMT-4", "GMT+11", "Zulu", "GMT+5", "GMT+2", "UCT", "GMT-12", "GMT", "GMT-1", "GMT+6"}};

#endif
