/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <libxfce4util/libxfce4util.h>
#include <gtk/gtk.h>

#include "main.h"

gboolean
warn_about_changes ()
{
	GtkWidget *dialog, *label, *table, *img;
	gboolean ret;
	int response;

	dialog = gtk_dialog_new_with_buttons (_("Reboot needed"),
					     NULL,
					     GTK_DIALOG_MODAL |
					     GTK_DIALOG_DESTROY_WITH_PARENT,
					     GTK_STOCK_NO, GTK_RESPONSE_NO,
					     GTK_STOCK_YES, GTK_RESPONSE_YES,
					     NULL);

	table = gtk_table_new (2, 2, FALSE);
	gtk_container_set_border_width (GTK_CONTAINER (table), 4);
	gtk_container_add (GTK_CONTAINER (GTK_DIALOG (dialog)->vbox), table);

	img =
	    gtk_image_new_from_stock (GTK_STOCK_DIALOG_WARNING,
				     GTK_ICON_SIZE_DIALOG);
	gtk_table_attach_defaults (GTK_TABLE (table), img, 0, 1, 0, 1);

	label = gtk_label_new (_("Your system needs to be rebooted in order to\n"
				"apply the changes."));
	gtk_table_attach_defaults (GTK_TABLE (table), label, 1, 2, 0, 1);

	label = gtk_label_new (_("\nWould you like to reboot now?"));
	gtk_misc_set_alignment (GTK_MISC (label), 0, 0.5);
	gtk_table_attach_defaults (GTK_TABLE (table), label, 1, 2, 1, 2);

	gtk_widget_show_all (table);

	response = gtk_dialog_run (GTK_DIALOG (dialog));
	ret = (response == GTK_RESPONSE_YES);
	gtk_widget_destroy (dialog);
	return ret;
}
